org.eclipse.modisco.jee.actions

## Class AbstractProjectDeploymentDescriptorDiscoverer

- java.lang.Object
- - org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer<T>
  - - org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer<java.lang.Object>
    - - org.eclipse.modisco.jee.actions.AbstractProjectDeploymentDescriptorDiscoverer

All Implemented Interfaces:
  IDiscoverer<java.lang.Object>

    public abstract class AbstractProjectDeploymentDescriptorDiscoverer
    extends AbstractModelDiscoverer<java.lang.Object>

Deployment descriptor discoverers use for now single file discovery, which could be extended for discovering packages, projects ... The proposed class facilitates the creation of new Deployment Descriptor discoverer on a container.

### Field Summary

Fields
`static int` `FLUSH_LIMIT`

### Constructor Summary

Constructors
Constructor and Description
`AbstractProjectDeploymentDescriptorDiscoverer()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`static Resource` `createResource(java.lang.String resourceName)`
`abstract Factory` `getDiscovererFactory()`
`abstract AbstractDeploymentDescriptorDiscoverer<java.io.File>` `getSingleFileDiscoverer()`
`static java.lang.String` `getSourcePath(java.lang.Object source)`
`static IProject` `getSourceProject(java.lang.Object source)`
`boolean` `isApplicableTo(java.lang.Object source)` To determine if the source object can be handled by the discoverer.
`void` `listXmlFiles(java.lang.String path, java.util.ArrayList<java.io.File> paths)`

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer

`discoverElement, getDefaultTargetURI, getTargetModel, getTargetURI, setSerializeTarget, setTargetModel, setTargetURI`

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer

`isAFolder, isAJavaProject, isAnIFileWithExtension, isAProject, setRefreshSourceBeforeDiscovery`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FLUSH_LIMIT

    public static final int FLUSH_LIMIT

See Also:
  Constant Field Values

### Constructor Detail

#### AbstractProjectDeploymentDescriptorDiscoverer

    public AbstractProjectDeploymentDescriptorDiscoverer()

### Method Detail

#### getSingleFileDiscoverer

    public abstract AbstractDeploymentDescriptorDiscoverer<java.io.File> getSingleFileDiscoverer()

#### getDiscovererFactory

    public abstract Factory getDiscovererFactory()

#### isApplicableTo

    public boolean isApplicableTo(java.lang.Object source)

Description copied from interface: `IDiscoverer`
To determine if the source object can be handled by the discoverer. Each discoverer has to implement this method with its own criteria to filter the selected object.

Some usual implementations are proposed on `AbstractDiscoverer`.

Parameters:
  `source` - the selected object.
Returns:
  `true` if the selected object is managed by this discoverer, `false` otherwise.

#### listXmlFiles

    public void listXmlFiles(java.lang.String path,
                             java.util.ArrayList<java.io.File> paths)

#### getSourceProject

    public static IProject getSourceProject(java.lang.Object source)

#### getSourcePath

    public static java.lang.String getSourcePath(java.lang.Object source)

#### createResource

    public static Resource createResource(java.lang.String resourceName)